Currencies
BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/currencies' \ -H 'Authorization: Bearer <access-token>'[ { "cashRoundingId": 0, "country": "string", "currency": "str", "exchangeRateExternal": 0, "exchangeRateIncome": 0, "exchangeRateSell": 0, "id": 0, "lastModify": "2019-08-24T14:15:22Z", "unit": 0, "useOnPOS": true }]BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
cashRoundingId?|int32country?|length <= 30currency?|length <= 3exchangeRateExternal?|decimalexchangeRateIncome?|decimalexchangeRateSell?|decimalid?integerint32lastModify?|Stamped by the server on insert and update; a client-supplied value is discarded.
date-timeunit?|decimaluseOnPOS?boolean|nullapplication/json- response
cashRoundingId?|int32country?|length <= 30currency?|length <= 3exchangeRateExternal?|decimalexchangeRateIncome?|decimalexchangeRateSell?|decimalid?integerint32lastModify?|Stamped by the server on insert and update; a client-supplied value is discarded.
date-timeunit?|decimaluseOnPOS?boolean|nullcurl -X POST 'https://<your-instance>/api/item-lists/currencies' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "cashRoundingId": 0, "country": "string", "currency": "str", "exchangeRateExternal": 0, "exchangeRateIncome": 0, "exchangeRateSell": 0, "id": 0, "lastModify": "2019-08-24T14:15:22Z", "unit": 0, "useOnPOS": true}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32application/json- response
cashRoundingId?|int32country?|length <= 30currency?|length <= 3exchangeRateExternal?|decimalexchangeRateIncome?|decimalexchangeRateSell?|decimalid?integerint32lastModify?|Stamped by the server on insert and update; a client-supplied value is discarded.
date-timeunit?|decimaluseOnPOS?boolean|nullcurl -X GET 'https://<your-instance>/api/item-lists/currencies/0' \ -H 'Authorization: Bearer <access-token>'{ "cashRoundingId": 0, "country": "string", "currency": "str", "exchangeRateExternal": 0, "exchangeRateIncome": 0, "exchangeRateSell": 0, "id": 0, "lastModify": "2019-08-24T14:15:22Z", "unit": 0, "useOnPOS": true}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32application/json- body
cashRoundingId?|int32country?|length <= 30currency?|length <= 3exchangeRateExternal?|decimalexchangeRateIncome?|decimalexchangeRateSell?|decimalid?integerint32lastModify?|Stamped by the server on insert and update; a client-supplied value is discarded.
date-timeunit?|decimaluseOnPOS?boolean|nullapplication/json- response
cashRoundingId?|int32country?|length <= 30currency?|length <= 3exchangeRateExternal?|decimalexchangeRateIncome?|decimalexchangeRateSell?|decimalid?integerint32lastModify?|Stamped by the server on insert and update; a client-supplied value is discarded.
date-timeunit?|decimaluseOnPOS?boolean|nullcurl -X PATCH 'https://<your-instance>/api/item-lists/currencies/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "cashRoundingId": 0, "country": "string", "currency": "str", "exchangeRateExternal": 0, "exchangeRateIncome": 0, "exchangeRateSell": 0, "id": 0, "lastModify": "2019-08-24T14:15:22Z", "unit": 0, "useOnPOS": true}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32curl -X DELETE 'https://<your-instance>/api/item-lists/currencies/0' \ -H 'Authorization: Bearer <access-token>'